View Issue Details

IDProjectCategoryView StatusLast Update
0002295SOGoWeb Mailpublic2016-06-24 10:52
Reportersampont philippe Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.5 
Fixed in Version2.3.12 
Summary0002295: Signature link is not there
Description

With some signature, link in IMAP accounts preferences is not displayed. So I can't change this stupid signature.

In Sogo database, I can read the signature. It begin with :

<!--[if gte mso 9]><xml>\n <w:WordDocument>\n <w:View>Normal<\/w:View>\n <w:Zoom>0<\/w:Zoom>\n <w:PunctuationKerning\/>\n <w:ValidateAgainstSchemas\/>\n <w:SaveIfXMLInvalid>false<\/w:SaveIfXMLInvalid>\n <w:IgnoreMixedContent>false<\/w:IgnoreMixedContent>\n <w:AlwaysShowPlaceholderText>false<\/w:AlwaysShowPlaceholderText>\n <w:Compatibility>\n <w:BreakWrappedTables\/>\n <w:SnapToGridInCell\/>\n <w:WrapTextWithPunct\/>\n <w:UseAsianBreakRules\/>\n <w:DontGrowAutofit\/>\n <\/w:Compatibility>\n <w:BrowserLevel>MicrosoftInternetExplorer4<\/w:BrowserLevel>\n <\/w:WordDocument>\n<\/xml><![endif]--><span style=\"font-size:12.0pt;font-family:"Times New Roman";\nmso-fareast-font-family:"Times New Roman";mso-ansi-language:EN-US;mso-fareast-language:\nEN-US;mso-bidi-language:AR-SA\">Alfred E. Neuman [...]

Additional Information

NB. Other simple signature are fine. Link is showed in Panel.

TagsNo tags attached.

Relationships

has duplicate 0003313 resolvedfrancis Signatures non modifiable en cas d'édition avec Microsoft Word 

Activities

francis

francis

2013-11-06 10:08

administrator   ~0006204

Can you please attach the complete signature?

francis

francis

2013-12-17 09:45

administrator   ~0006366

No feedback in a month, closing.

Reopen if necessary.

Christian Mack

Christian Mack

2016-06-02 02:56

developer   ~0010279

Last edited: 2016-06-02 02:58

We had this problem with users either copying Signature texts from Word into the signature, or changing HTML signatures by hand with HTML tags (without switching to source mode).

Example of the latter see example1.txt

I always have to reset the signature via sogo-tool, in order to get an editable signature in "Preferences" --> "IMAP Accounts" again.

Christian Mack

Christian Mack

2016-06-02 02:59

developer  

example1.txt (619 bytes)   
SOGoMailSignature = "<font size="2"><div style="color:#00a9e0;text-decoration:underline;"><br /><br /><span style="color:#000000;"><br /><br /><p><b> Username </b></span></div><br /><br />Universität Konstanz<br><br /><br />Department<br><br /><br /><br /><br />Universitätsstraße 10<br><br /><br />78464 Konstanz<br><br /><br />Tel.: +49 7531 1234567<br><br /><br />E-Mail: <a href="mailto:user@uni-konstanz.de">user@uni.kn</a></p><br /><br /><a href="http://www.uni.kn/asd">www.uni.kn/asd</a><br> <br /><img src="https://cms.uni-konstanz.de/fileadmin/zentral/zentral/Logo-50Jahre.png" width="200" height="129">";

example1.txt (619 bytes)   

Related Changesets

sogo: master 568e4380

2016-06-03 10:07:04

francis

Details Diff
(js) Add the "Paste from word" CKEditor plugin

Fixes 0002295
Fixes 0003313
Affected Issues
0002295, 0003313
mod - NEWS Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/build-config.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/ckeditor.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/ar.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/ca.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/cs.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/cy.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/da.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/de.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/en.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/es.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/eu.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/fi.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/fr.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/hr.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/hu.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/is.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/it.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/lt.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/mk.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/nb.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/nl.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/no.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/pl.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/pt-br.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/pt.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/ru.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/sk.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/sl.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/sv.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/tr.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/uk.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/zh-cn.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/lang/zh.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/icons.png Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/plugins/icons_hidpi.png Diff File
add - UI/WebServerResources/js/vendor/ckeditor/plugins/pastefromword/filter/default.js Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/minimalist/editor.css Diff File
mod - UI/WebServerResources/js/vendor/ckeditor/skins/minimalist/editor_gecko.css Diff File

Issue History

Date Modified Username Field Change
2013-04-18 11:12 sampont philippe New Issue
2013-11-06 10:08 francis Note Added: 0006204
2013-12-17 09:45 francis Note Added: 0006366
2013-12-17 09:45 francis Status new => closed
2013-12-17 09:45 francis Assigned To => francis
2013-12-17 09:45 francis Resolution open => won't fix
2016-06-02 02:48 Christian Mack Relationship added has duplicate 0003313
2016-06-02 02:56 Christian Mack Note Added: 0010279
2016-06-02 02:56 Christian Mack Status closed => feedback
2016-06-02 02:56 Christian Mack Resolution won't fix => reopened
2016-06-02 02:58 Christian Mack Note Edited: 0010279
2016-06-02 02:59 Christian Mack File Added: example1.txt
2016-06-03 10:08 francis Changeset attached => sogo master 568e4380
2016-06-24 10:52 francis Status feedback => resolved
2016-06-24 10:52 francis Fixed in Version => 2.3.12
2016-06-24 10:52 francis Resolution reopened => fixed